Wireshark-dev: Re: [Wireshark-dev] Win2000 Error: wireshark.exe is not a valid Win32 applicatio
From: Graham Bloice <[email protected]>
Date: Wed, 22 Aug 2007 17:50:17 +0100
Greg Bell wrote:
> I guess if I used VS 6.0, I wouldn't need Platform SDK 2003 as its
> already integrated in the 6.0 compiler package. To use 6.0, I would
> need to prepare cmd.exe by calling
> "C:\Program Files\Microsoft Visual Studio\VC98\Bin\vcvars32.bat"
> instead of
> "C:\Program Files\Microsoft Visual Studio 8\VC\bin\vcvars32.bat"
> correct?
Yes.  You also need to make changes to config.nmake to indicate the use
of VC6.
>  
> This would still not resolve the issue with VC 2005 EE and Platform
> SDK 2003 R3. I'm surprised this is not a common problem among other
> Wireshark developers; do people just not use (or test on) Windows 2000
> anymore?
>  
I guess folks are:

a) Using a combination of EE and SDK that works on W2K
b) Not testing/using on W2K
c) Using VS2005 Pro or better with a different SDK.

We have had several threads in the past few months with this issue, but
no-one who has had the issue has stayed the course until we resolved it.

You may want to buck the trend!

-- 
Regards,

Graham Bloice